<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>SwiftApplication (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SwiftApplication (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/language/swift/SwiftBinary.html" title="interface in org.gradle.language.swift"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/language/swift/SwiftApplication.html" target="_top">Frames</a></li>
<li><a href="SwiftApplication.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.language.swift</div>
<h2 title="Interface SwiftApplication" class="title">Interface SwiftApplication</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a>, <a href="../../../../org/gradle/api/component/SoftwareComponent.html" title="interface in org.gradle.api.component">SoftwareComponent</a>, <a href="../../../../org/gradle/language/swift/SwiftComponent.html" title="interface in org.gradle.language.swift">SwiftComponent</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">SwiftApplication</span>
extends <a href="../../../../org/gradle/language/swift/SwiftComponent.html" title="interface in org.gradle.language.swift">SwiftComponent</a></pre>
<div class="block">Configuration for a Swift application, defining the source files that make up the application plus other settings.

 <p>An instance of this type is added as a project extension by the Swift executable plugin.</p></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/language/swift/SwiftExecutable.html" title="interface in org.gradle.language.swift">SwiftExecutable</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/swift/SwiftApplication.html#getDebugExecutable()">getDebugExecutable</a></strong>()</code>
<div class="block">Returns the debug executable for this application.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/language/swift/SwiftExecutable.html" title="interface in org.gradle.language.swift">SwiftExecutable</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/swift/SwiftApplication.html#getDevelopmentBinary()">getDevelopmentBinary</a></strong>()</code>
<div class="block">Returns the binary of the component to use as the default for development.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/language/swift/SwiftExecutable.html" title="interface in org.gradle.language.swift">SwiftExecutable</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/swift/SwiftApplication.html#getReleaseExecutable()">getReleaseExecutable</a></strong>()</code>
<div class="block">Returns the release executable for this application.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.language.swift.SwiftComponent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.language.swift.<a href="../../../../org/gradle/language/swift/SwiftComponent.html" title="interface in org.gradle.language.swift">SwiftComponent</a></h3>
<code><a href="../../../../org/gradle/language/swift/SwiftComponent.html#getImplementationDependencies()">getImplementationDependencies</a>, <a href="../../../../org/gradle/language/swift/SwiftComponent.html#getModule()">getModule</a>, <a href="../../../../org/gradle/language/swift/SwiftComponent.html#getSource()">getSource</a>, <a href="../../../../org/gradle/language/swift/SwiftComponent.html#getSwiftSource()">getSwiftSource</a>, <a href="../../../../org/gradle/language/swift/SwiftComponent.html#source(org.gradle.api.Action)">source</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../org/gradle/api/Named.html#getName()">getName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDevelopmentBinary()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDevelopmentBinary</h4>
<pre><a href="../../../../org/gradle/language/swift/SwiftExecutable.html" title="interface in org.gradle.language.swift">SwiftExecutable</a>&nbsp;getDevelopmentBinary()</pre>
<div class="block">Returns the binary of the component to use as the default for development.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/language/swift/SwiftComponent.html#getDevelopmentBinary()">getDevelopmentBinary</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/language/swift/SwiftComponent.html" title="interface in org.gradle.language.swift">SwiftComponent</a></code></dd>
</dl>
</li>
</ul>
<a name="getDebugExecutable()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDebugExecutable</h4>
<pre><a href="../../../../org/gradle/language/swift/SwiftExecutable.html" title="interface in org.gradle.language.swift">SwiftExecutable</a>&nbsp;getDebugExecutable()</pre>
<div class="block">Returns the debug executable for this application.</div>
</li>
</ul>
<a name="getReleaseExecutable()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getReleaseExecutable</h4>
<pre><a href="../../../../org/gradle/language/swift/SwiftExecutable.html" title="interface in org.gradle.language.swift">SwiftExecutable</a>&nbsp;getReleaseExecutable()</pre>
<div class="block">Returns the release executable for this application.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/language/swift/SwiftBinary.html" title="interface in org.gradle.language.swift"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/language/swift/SwiftApplication.html" target="_top">Frames</a></li>
<li><a href="SwiftApplication.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
